<?php

namespace App\Http\Requests;

use App\Bimbingan;
use Gate;
use Illuminate\Foundation\Http\FormRequest;

class MassDestroyBimbinganRequest extends FormRequest
{
    public function authorize()
    {
        return abort_if(Gate::denies('bimbingan_delete'), 403, '403 Forbidden') ?? true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:bimbingans,id',
        ];
    }
}
